/**
 * ParticipationHolder.java
 *
 * File generated from the medication::ParticipationHolder uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ParticipationHolder.
 *
 */

@XmlType(name = "ParticipationHolder")
@XmlEnum
@XmlRootElement(name = "ParticipationHolder")
public enum ParticipationHolder {
	@XmlEnumValue("HLD")
	HLD("HLD");
	
	private final String value;

    ParticipationHolder(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ParticipationHolder fromValue(String v) {
        for (ParticipationHolder c: ParticipationHolder.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}